Skip to main content
GET
Get Kalshi Orderbook History

Query Parameters

ticker
string
required

The Kalshi market ticker

Example:

"KXNFLGAME-25AUG16ARIDEN-ARI"

start_time
integer

Start time in Unix timestamp (milliseconds). Optional - if not provided along with end_time, returns the latest orderbook snapshot.

Example:

1760470000000

end_time
integer

End time in Unix timestamp (milliseconds). Optional - if not provided along with start_time, returns the latest orderbook snapshot.

Example:

1760480000000

limit
integer
default:100

Maximum number of snapshots to return (default: 100, max: 200). Ignored when fetching the latest orderbook without start_time and end_time.

Required range: x <= 200
Example:

100

paginationKey
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object.

Example:

"eyJ0aW1lc3RhbXAiOjE3NjA0NzAwMDAwMDAsInRpY2tlciI6IktYTkZMR0FNRS0yNUFVRzE2QVJJREVOLUFSSSIsInRvdGFsIjoxMDB9"

Response

Kalshi orderbook history response

snapshots
object[]

Array of orderbook snapshots at different points in time

pagination
object